# $Id: common.mk,v 1.3 2002/12/08 05:36:47 mann Exp $

##!!##CFLAGS= -O3 -Wall
CFLAGS= -g -O -Wall
CC= gcc
CWEXE= cw2dmk$E dmk2cw$E testhist$E
EXE= $(CWEXE) dmk2jv3$E jv2dmk$E
TXT= cw2dmk.txt dmk2cw.txt dmk2jv3.txt jv2dmk.txt

all: $(EXE) $(TXT) cwsdpmi.exe

cw2dmk$E: cw2dmk.c catweasl.$O cwpci.$O crc.c cwfloppy.h kind.h dmk.h
	$(CC) $(CFLAGS) -o $@ $< catweasl.$O cwpci.$O $(PCILIB)

dmk2cw$E: dmk2cw.c catweasl.$O cwpci.$O crc.c cwfloppy.h kind.h dmk.h
	$(CC) $(CFLAGS) -o $@ $< catweasl.$O cwpci.$O $(PCILIB)

dmk2jv3$E: dmk2jv3.c crc.c dmk.h jv3.h
	$(CC) $(CFLAGS) -o $@ $<

jv2dmk$E: jv2dmk.c crc.c dmk.h jv3.h
	$(CC) $(CFLAGS) -o $@ $<

testhist$E: testhist.c catweasl.$O cwpci.$O cwfloppy.h
	$(CC) $(CFLAGS) -o $@ $< catweasl.$O cwpci.$O $(PCILIB) -lm

cw2dmk.txt: cw2dmk.man
#	nroff -man $< | col -b > $@
	nroff -man $< | tr '\255' - | colcrt > $@

dmk2cw.txt: dmk2cw.man
#	nroff -man $< | col -b > $@
	nroff -man $< | tr '\255' - | colcrt > $@

dmk2jv3.txt: dmk2jv3.man
#	nroff -man $< | col -b > $@
	nroff -man $< | tr '\255' - | colcrt > $@

jv2dmk.txt: jv2dmk.man
#	nroff -man $< | col -b > $@
	nroff -man $< | tr '\255' - | colcrt > $@

cwsdpmi.exe:
	cp $(HOME)/djgpp/csdpmi5b/bin/cwsdpmi.exe cwsdpmi.exe

clean:
	$(RM) $(EXE) *.$O *~

veryclean: clean
	$(RM) *.exe *.obj *.o $(TXT)

setuid:
	chown root $(CWEXE)
	chmod 4755 $(CWEXE)
